Bug 22048 - kdegraphics-2.0.1-1 does not build on RH62
kdegraphics-2.0.1-1 does not build on RH62
Product: Red Hat Raw Hide
Classification: Retired
Component: kdegraphics (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-12-11 04:28 EST by ted
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-21 08:14:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ted 2000-12-11 04:28:12 EST

I am trying to rebuild all the kde 2.0.1 rpm sets on my RedHat 6.2
machine from the .src provided for rh62 (I am doing that cause I noticed
that the available binary base package caused troubles with init 5, it says
: "x" cannot respawn or something). Rebuilding it with rpm --rebuild solved
the problem.

I am trying now to build kdegraphics-2.0.1-1 and I have troubles (the
others work fine). I have the following error message:

g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/kde
-I/usr/lib/qt-2.2.1/include -I/usr/X11R6/include -Ikpathsea
-I../kviewshell -O2 -fno-exceptions -fno-check-new -Wall -pedantic -W
-Wpointer-arith -Wmissing-prototypes -Wwrite-strings -Wno-long-long
-fno-builtin -O2 -m486 -fno-strength-reduce -fno-check-new
libkdvi_la_closure.cpp  -fPIC -DPIC -o .libs/libkdvi_la_closure.o
g++ -O2 -fno-exceptions -fno-check-new -Wall -pedantic -W
-Wpointer-arith -Wmissing-prototypes -Wwrite-strings -Wno-long-long
-fno-builtin -O2 -m486 -fno-strength-reduce -fno-check-new
.libs/libkdvi.la.closure .libs/libkdvi_la_closure.o .libs/psheader.o
.libs/libkdvi_la.all_cpp.o  -L/usr/X11R6/lib -L/usr/lib/qt-2.2.1/lib
-L/usr/lib -L/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66
-L/usr/i386-redhat-linux/lib kpathsea/.libs/libkpathsea.al
../kviewshell/.libs/libkmultipage.so /usr/lib/libkparts.so
/usr/lib/libkfile.so /usr/lib/libksycoca.so /usr/lib/libkio.so
/usr/lib/libkdeui.so /usr/lib/libkdesu.so /usr/lib/libkdecore.so -ldl
/usr/lib/libDCOP.so -lqt -lpng /usr/lib/libjpeg.so -lXext -lX11 -lSM
-lICE -lutil -lz -lstdc++ -lm -lc -lgcc
.libs/libkdvi_la.all_cpp.o: In function `font::font_open(char *, char
**, double, int *, char **)':
.libs/libkdvi_la.all_cpp.o(.text+0xd8b0): undefined reference to
`xdvi_xfopen(char const *, char *)'
.libs/libkdvi_la.all_cpp.o: In function `font::glyphptr(unsigned int)':
.libs/libkdvi_la.all_cpp.o(.text+0xe4d6): undefined reference to
`xdvi_xfopen(char const *, char *)'
collect2: ld returned 1 exit status
make[3]: *** [libkdvi.la.closure] Error 1
make[3]: Leaving directory
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/kdegraphics-2.0.1'
make: *** [all-recursive-am] Error 2
Bad exit status from /var/tmp/rpm-tmp.27384 (%build)      

and I get no .i386.rpm.

Could you please help me to solve it.

Thanks in advance

Comment 1 Bernhard Rosenkraenzer 2000-12-12 11:26:11 EST
I'm aware of the problem (that's why there was no binary package).
I don't have the time to fix this ATM; the quickfix is to update to 7.0. ;)
Comment 2 Bernhard Rosenkraenzer 2000-12-21 08:14:07 EST
Try building without --enable-final
Comment 3 Bernhard Rosenkraenzer 2001-02-06 13:08:20 EST
Assuming --disable-final did the job because there was no further input.

Note You need to log in before you can comment on or make changes to this bug.